ur_rna.StructureEditor.services.drawing.export

## Interface GraphicsOp

- All Known Implementing Classes:
    GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp

      public interface GraphicsOp

  Represents a graphics operation that can be applied to a Graphics2D object.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `GraphicsOp.ActionOp` Represents an operation that does not change the state of the graphics context.
    `static class` | `GraphicsOp.BackgroundOp`
    `static class` | `GraphicsOp.ClearHintsOp`
    `static class` | `GraphicsOp.ClearOp`
    `static class` | `GraphicsOp.ClipOp`
    `static class` | `GraphicsOp.ColorOp`
    `static class` | `GraphicsOp.CompositeOp`
    `static class` | `GraphicsOp.ControlOp` Represents an operation that is for control purposes only.
    `static class` | `GraphicsOp.DrawImageOp`
    `static class` | `GraphicsOp.DrawShapeOp`
    `static class` | `GraphicsOp.DrawStringOp`
    `static class` | `GraphicsOp.EndOp` Indicates the end of a graphics record.
    `static class` | `GraphicsOp.FontOp`
    `static class` | `GraphicsOp.GroupEndOp` Indicates the end of group of graphics objects (e.g.
    `static class` | `GraphicsOp.GroupStartOp` Indicates the start of a new group of graphics objects (e.g.
    `static class` | `GraphicsOp.HintOp`
    `static class` | `GraphicsOp.InitOp` Signifies the start of a new graphics record.
    `static class` | `GraphicsOp.PaintOp`
    `static class` | `GraphicsOp.StateOp` Represents an operation that changes the state of the graphics context, but does not perform any drawing on its own.
    `static class` | `GraphicsOp.StrokeOp`
    `static class` | `GraphicsOp.TransformOp`
    `static class` | `GraphicsOp.XorModeOp`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(GraphicsStyle c)`
    `void` | `replay(java.awt.Graphics2D g)`

- - ### Method Detail

    - #### apply

          void apply(GraphicsStyle c)

    - #### replay

          void replay(java.awt.Graphics2D g)